/* Scroller text */
#include <stdio.h>
#include "tetX.h"
#ifndef SCROLLER_DISABLED
char *IntroText = "\x7f\x0cTETRIS\x7f\x0a was invented "
                  "by a young Russian researcher"
                  "\x7f\x0c Alexei Pazhitnov\x7f\x0a. "
                  "Its first realisation by Moscow Uni student, "
                  "\x7f\x0cVadim Gherasimov\x7f\x0a "
                  "appeared in the early 80-s for PDP-11 compatible "
                  "computers and became an instant hit. According "
                  "to recent research, TETRIS is currently among the most "
                  "popular computer games. Its different versions exist "
                  "practically for every type of computer and operating system. "
                  "There are several implementations of TETRIS for Linux. "
                  "\x7f\x0cIs there a reason for another version?\x7f\x0a "
                  "Start and see...";
#ifndef X11
char *DemHeader = "\x7F\x0aSo you wished to test our playing skills. "
                   "Here we are... Welcome to ITETRIS demo. "
                   "If you wish to facilitate its development, "
		   "please, send your comments to"
                   "  \x7f\x0cxifrac@yahoo.com.au\x7f\x0a";

char *DemText[] = {
                  "\x7f\x0e Hint:\x7f\x02 If you find the robot slow and awkward, press"
		  "\x7f\x0e L\x7f\x02 "
                  "several times to increase the level.",

	          "The gaming strategy has been improved with version 1.6.0. "
		  "Now the robot can easily get to"
		  "\x7f\x0e 20K\x7f\x02, while with "
		  "a bit of luck it probably can reach a 6-digit score. "
		  "The current record is\x7f\x0e 80,300\x7f\x02.", 

		  "As an ITETRIS player, I don't identify myself "
		  "with the robot. I wouldn't approve all decisions "
		  "it accepts, but each "
		  "player has own personality, and the robot is not "
		  "an exception. At the same time, "
		  "the robot still needs to learn about \"push-under\" "
		  "and next tile processing.",
		  
                  "An alternative of a README file?  Well, you "
                  "normally ignore most of docs, don't you. Those who "
                  "argue that the scroller just wastes space, "
                  "can install the game without it: "
                  "consult README file on how to do that. \01 \01 \01",

                  "Doesn't this appear like a\x7f\x07 dinosaur\x7f\x02? "
                  "Well, you can consider it as a kind of a"
                  "\x7f\x0c Computer Retro\x7f\x02. "
		  "A nice change for those who got sick of all "
                  "3-D games.",

                  "The DOS version feels comfortably on 386, "
                  "while without the scroller, it runs on an XT as well. "
                  "While Linux does not support XT, I hope ITETRIS works "
                  "fine on 386, though I couldn't test it on anything slower "
                  "than 486DX-66. "
                  "This game was designed as a kind of universal program "
                  "that works in any environment, and I hope it will. "
                  "A good occasion to remind the major software developers "
                  "that not everyone has a superfast CPU with 16+M RAM, "
                  "and 500+MB free space on the hard disk. "
                  "Please, send me an email if you play this game with "
                  "limited resources.",

                  "\x7f\x0e Credits:\x7f\x02 "
		  "Thanks to\x7f\x0c Rubixcom\x7f\x02 (then merely "
                  "Alfred Glickman) for the "
		  "robot picture, designed originally for the DOS version. "
		  "I can't persuade myself, that it is only a 16-colour image. "


                  "\x7f\x0e Credits:\x7f\x02 "
		  "Thanks to\x7f\x0c Geoff Kransdorf\x7f\x02 for his "
		  "information about running "
		  "ITETRIS on Solaris. His experience inspired the development "
		  "of configuration script, "
		  "that is expected to customise the game "
		  "for any UNIX. Any relevant feedback is appreciated.",

                  "\x7f\x0e Credits:\x7f\x02 "
		  "The owl picture originally comes from"
                  "\x7f\x0c Eagle Stock Images, http://www.eaglestock.com"
		  "\x7f\x02. " 
                  "As the result of accommodations, I had to remove "
                  "the original signature. The \"adjusted\" "
                  "picture looks so ugly as compared to the original, "
                  "that I do not expect the artists themselves "
                  "to approve their signature on it.",

		  "Are you still watching this scroller ?! "	
		  "To be honest, it is kept here for purely nostalgic "
		  "reasons. If you are annoyed with it, press"
		  "\x7f\x0e B\x7f\x02 "
		  "to get the HELP panel instead. Press"
		  "\x7f\x0e B\x7f\x02 "
		  "again to clear the bottom."
              };


int getDemTextSize(void)
{
  return sizeof(DemText) / sizeof(char *);
}
#endif
#endif

#ifdef X11
char *HelpComHeader = "X I T E T R I S    command line arguments";
#else
char *HelpComHeader = "I T E T R I S    command line arguments";
#endif

char *HelpComLines[] =
{
   "-C\tbackground colour, as 0RRGGBB (e.g. 07f0000 - red)",
   "  \tor colour name from " COLOUR_NAME_FILE " (unavailable for EGA)",
   "-D\tstart program in demo mode",
#if defined(X11)
   "-F\tfont name", 
#else
   "-F\tfont file name (console font name, directory omitted)",
#endif
   "-I\tskip introduction",
   "-Jxx\tenable joystick; optional two characters specify key",
   "\tequivalents for first and second button resp.",
   "-K\tdisable joystick (use keyboard only)",
   "-Lx\tdefault starting level (0-9)",
   "-Mfname\tname of the file containing background music list;",
   "\twithout 'fname' - disables background music",
   "-Ox..x  modes: Ii Oo Ee Kk Ll (capital - enable, small - disable)",
#ifndef X11
   "-Pfname\tname of text file to display during a pause",
   "\twithout 'fname' - disables pauses",
#endif
   "-Rx\tdefault starting number of full layers (0-9)",
   "-S\tdisable scroller",
#ifdef X11
   "",
   "Additional X11 arguments:",
   "-disp\tdisplay name",
   "-pos\twindow position (xy with signs, e.g. +100-30)",
   "-noc\tdisable cursor confinement",
   "-res\trestore previously paused game",
   "-kil\tkill previously paused game",
#else
   "-Vm\tvideo mode, 'm' is one of the following:",
   "\tS - 640x480x256 (SVGA)        V - 640x480x16 (VGA, SVGA)",
   "\tL - 640x350x16 (VGA, SVGA)    E - 640x350x16 (EGA) ",
#endif
   "",
   "All key characters and most of parameters are case insensitive.",
   "",
   NULL
};

